Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Enum AuthenticationEntity1Code

- java.lang.Object
- - java.lang.Enum<AuthenticationEntity1Code>
  - - org.kapott.hbci.sepa.jaxb.camt_052_001_07.AuthenticationEntity1Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AuthenticationEntity1Code>`

    public enum AuthenticationEntity1Code
    extends java.lang.Enum<AuthenticationEntity1Code>

Java class for AuthenticationEntity1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="AuthenticationEntity1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ICCD"/>
         <enumeration value="AGNT"/>
         <enumeration value="MERC"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`AGNT`
`ICCD`
`MERC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AuthenticationEntity1Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static AuthenticationEntity1Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AuthenticationEntity1Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ICCD

    public static final AuthenticationEntity1Code ICCD

#### AGNT

    public static final AuthenticationEntity1Code AGNT

#### MERC

    public static final AuthenticationEntity1Code MERC

### Method Detail

#### values

    public static AuthenticationEntity1Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthenticationEntity1Code c : AuthenticationEntity1Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthenticationEntity1Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static AuthenticationEntity1Code fromValue​(java.lang.String v)